Subject: bug#72353: closed (Re: bug#72353: guix pull bug)

From: [email-masked] (GNU bug Tracking System)
Date: Mon, 16 Jun 2025 09:56:03 +0000

Your bug report

#72353: guix pull bug

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
72353: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=72353
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#72353: guix pull bug
From: Simon Tournier <[email-masked]>
To: Shyam Laximan <[email-masked]>
Cc: [email-masked]
Date: Mon, 16 Jun 2025 11:51:30 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

Thanks for your report and sorry for the late reply.

On Mon, 29 Jul 2024 at 09:06, Shyam Laximan <[email-masked]> wrote:
> In ./guix/serialization.scm:
>    101:11  1 (read-int #<input-output: file 10>)
>      79:6  0 (get-bytevector-n* #<input-output: file 10> 8)
>
> ./guix/serialization.scm:79:6: In procedure get-bytevector-n*:
> ERROR:
>   1. &nar-error:
>       file: #f
>       port: #<input-output: file 10>
> \guix pull: error: You found a bug: the program '/gnu/store/jw3hyy2zvml1yvw0vsj6k5s0a8i4ibs7-compute-guix-derivation'
> failed to compute the derivation for Guix (version: "fdc6274de5b1d617fcabb3f3af9d2c0dd2a6520d"; system: "x86_64-linux";
> host version: "1.4.0"; pull-version: 1).

I think this bug

    https://issues.guix.gnu.org/issue/72353

is transient and/or part of the series [1].

Therefore I’m closing.  Feel free to reopen if I’m missing something.

Cheers,
simon

1: 1: toward a plan? (was Re: Reducing "You found a bug" reports)
Simon Tournier <[email-masked]>
Tue, 10 Sep 2024 16:51:09 +0200
id:[email-masked]
https://lists.gnu.org/archive/html/guix-devel/2024-09
https://yhetil.org/guix/[email-masked]

Subject: guix pull bug
From: Shyam Laximan <[email-masked]>
To: "[email-masked]" <[email-masked]>
Date: Mon, 29 Jul 2024 09:06:19 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

In ./guix/serialization.scm:
   101:11  1 (read-int #<input-output: file 10>)
     79:6  0 (get-bytevector-n* #<input-output: file 10> 8)

./guix/serialization.scm:79:6: In procedure get-bytevector-n*:
ERROR:
  1. &nar-error:
      file: #f
      port: #<input-output: file 10>
\guix pull: error: You found a bug: the program '/gnu/store/jw3hyy2zvml1yvw0vsj6k5s0a8i4ibs7-compute-guix-derivation'
failed to compute the derivation for Guix (version: "fdc6274de5b1d617fcabb3f3af9d2c0dd2a6520d"; system: "x86_64-linux";
host version: "1.4.0"; pull-version: 1).